#
# Unit Tests for JSON Objects
#  Copyright (C) 2002 Rafael R. Sevilla <dido@imperium.ph>
#  This file is part of JSON for Ruby
#
#  JSON for Ruby is free software; you can redistribute it and/or
#  modify it under the terms of the GNU Lesser General Public License
#  as published by the Free Software Foundation; either version 2.1 of
#  the License, or (at your option) any later version.
#
#  JSON for Ruby is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#  Lesser General Public License for more details. 
#
#  You should have received a copy of the GNU Lesser General Public
#  License along with JSON for Ruby; if not, write to the Free
#  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
#  02111-1307 USA.
#
# Author:: Rafael R. Sevilla (mailto:dido@imperium.ph)
# Copyright:: Copyright (c) 2003 Rafael R. Sevilla
# License:: GNU Lesser General Public License
# $Id: objtest.rb,v 1.2 2005/01/28 02:59:30 didosevilla Exp $
#

require 'test/unit'
require 'json/lexer'
require 'json/objects'

class ObjectTest < Test::Unit::TestCase
  def test_to_json
    obj = Hash.new
    obj['foo'] = 'bar'
    obj['xyz'] = 1
    obj['euler'] = 0.577215665

    str = obj.to_json
    sobj = JSON::Lexer.new(str).nextvalue
    assert(sobj.class == Hash, "Hash was not generated by deserialization")
    assert(sobj['foo'] == 'bar', "error in serialization of a string to JSON")
    assert(sobj['xyz'] == 1, "error in serialization of a FixNum to JSON")
    assert(sobj['euler'] == 0.577215665, "error in serialization of a float to JSON")
  end
end
